
            INSTRUCTIONS FOR THE CWP CHINESE WORD-PROCESSOR


Note: This is a detailed user's guide to the CWP Chinese word-processor. 
It contains some "funny" characters, which are nothing but 8-bit ASCII 
characters representing international alphabet or Chinese characters. 
You may use CWP's GB import function (Ctrl-F10 and 2) to load this file 
into CWP and see those characters. The demarcation symbols are ~[ and 
~] for international alphabet and ~( and ~) for Chinese characters.


I. Hardware requirements

     CWP works on any IBM-PC or PC compatible equipped with a hard-
drive and at least 512K of available RAM. It supports 9-pin or 24-pin 
EPSON or EPSON compatible dot-matrix printers.


II. Software requirement

     CWP requires MS-DOS version 3.0 or above.


III. Where to get CWP

     You may get a copy of CWP either by downloading the 16-part uu-
encoded version from the newsgroup comp.binaries.ibm.pc and following 
the standard procedures of uudecoding and uncompressing posted 
periodically on the same newsgroup, or by sending $20.00 to Benjamin 
Ao, Department of Linguistics, Ohio State University, Columbus, OH 
43210. You may also get a demo version of it from the anonymous ftp 
site at ahkcus.org:src/pc/CWP. The only difference between the 
demo version and the full version is that the size of a file being 
edited is limited to about 1000 bytes (500 Chinese characters) with 
the demo version.


IV. Installation

1.   Purchased system

     Insert disk 1 into the floppy drive on your computer. If the 
drive name at the DOS prompt is not the same as that of the floppy 
drive, then change it. Enter 'Install' at the prompt 'A:' (or 'B:', 
as the case may be), and you will see the prompt 'Enter drive name of 
source files: a:'. If your floppy drive is a:, then hit the Enter 
key; otherwise, enter the name of your floppy drive. Then you will 
see the prompt 'Enter drive and path name of destination files: 
c:\cwp'. If you agree to use this path name on your hard drive, then 
hit the Enter key; otherwise, enter the destination drive and path 
name of your own choice. The installation process begins. If you use 
5.25" disks, you will be asked at some point to replace disk 1 with 
disk 2. Do so. When the installation is complete, remove the floppy 
disks and keep them in a safe place. Now you are in the destination 
drive and path where you can run CWP.

     Type 'CWP' at the DOS prompt, followed by an optional file name, 
and now you are in CWP.

2.   System obtained from comp.binaries.ibm.pc or anonymous ftp site

     Create a subdirectory on your hard drive. Copy the file CWP.EXE 
into this subdirectory. Then change into this subdirectory, create a 
subdirectory called SYS inside this subdirectory, and copy all other 
files into SYS. 


V. Input method

     The coding of the 6839 characters (6763 defined in the GB 
set,plus 3 missing characters and 73 alternant traditional 
characters) supported by CWP is essentially Pinyin with the following 
modifications:

     1. Tones are marked with a letter at the end of each syllable, 
i.e. tone 1 is marked with h, tone 2 with x and tone 3 with v. Tone 4 
and tone 5 (the neutral tone) are not marked. For example: mah (=~(Bh~) 
"mother"), max (=~(Bi~) "hemp"), mav (=~(Bm~) "horse"), ma (=~(Bp~) 
interrogative particle).

     2. Pinyin umlaut ~[~] is spelled as iu. For example: liu (=~(BI~) 
"rule").

     3. Pinyin iu is spelled as iou. For example: liou (=~(Ay~) 
"six").

     To speed up input, you may simplify the Pinyin spelling 
according to the following principles:

     1. The letter h in zh ch sh may be omitted.  For example: ze = 
zhe (=~(Ub~) "this"), cu = chu (=~(4&~) "place").

     2. The letter n in ng may be omitted. For example: dig = ding (=~(6(
 ~) "fix"), sag = shang (=~(IO~) "up").

     3. The letter i may be omitted when it appears between j q x and 
a vowel. For example: xou = xiou (=~(Pc~) "beautiful"), jan = jian (=~(=(
 ~) "build").

     4. The letters y and w may be omitted when they appear before i 
and u respectively. For example: in = yin (=~(S!~) "print"), u = wu 
(=~(No~) "object").

     5. The letters w or u may be omitted before o. For example: go = 
guo (=~(9}~) "pass"), o = wo (=~(NR~) "I").

     6. The syllables zhi/zi chi/ci shi/si may be spelled as z c s 
respectively. For example: s = shi (=~(JG~) "be"), c = chi (=~(4N~) 
"red").

     Tone marking letters of the following 28 characters may be 
omitted: 
 ~(1>3I4S5H6`7V8xPP:M:\<R@4C;CqD\DcDjDzNRH;HKKyK{LlM,M7Q'R;~). The 
three characters ~(6ySPTZ~) may be spelled as r (=erx) yo (=youv) za 
(=zai) respectively.

     Except for the most frequently used character in each syllable, 
every character is followed by one or two letters as its "homonym 
id", which is determined according to the following principles:

     1. Semantic category: t for plants, q for animals, p for 
chemical elements or compounds, m for personal or geographic names, 
etc. For example: pegxm (~(Em~) a surname), pegxp (~(Ep~) "boron"), 
pegxq (~(s2~) "small crab"), pegxt (~(En~) "bitter fleabane").

     2. Combinatorial possibilities: the initial letter of another 
character with which a compound may be formed. For example: ib (=~(Rb~) 
<- Ib Biaov ~(Rb1m~)), ij (=~(Rd~) <- Jim Ij ~(<GRd~)).

     3. Consistency: Multiple pronunciations of the same character 
share the same homonym id, and so do characters that are always used 
together. For example: huaxf (=~(;.~) "row"), huaf (=~(;.~) 
"stroke"), couxpcuxp (=~(3l3y~)"hesitate").

     To enter a character, just type its Pinyin syllable, followed by 
its tone letter and/or homonym id if necessary. Then hit the spacebar 
and the character will appear at the cursor position. You are 
encouraged to remember the tone letter and homonym id of each 
character, so that you can enter characters at the top of your typing 
speed. But if you do not remember them, you can retrieve them by 
hitting the Enter key. For example, if you type 'an' and then hit the 
Enter key, you will see the following:

 ~(04~)   ~(06~)b  ~(wv~)d  ~(05~)f  ~(08~)j  ~(07~)p  ~(02~)h  
 ~(bV~)hb ~(ZO~)hd ~(00~)hm ~(01~)hp ~(pF~)hq ~(hq~)ht ~(03~)v 
 ~([{~)vb ~(^n~)vd

At this point, if you hit the spacebar, you will get ~(04~), if you 
type b and then hit the spacebar, you will get ~(06~), so on and so 
forth. If you cannot find the character you want among those homonyms 
shown on the screen, you can use the right arrow and the left arrow 
on the Numpad to search the entire list of homonyms.

     If you have retrieved a wrong character, you can either use 
backspace to erase the wrong character, or hit the Esc key to erase 
the wrong character and restore the Pinyin code you have just entered 
so that you can modify it.

     In most cases, it is not necessary to separate two successive 
characters with a space. For example: just type 'osohzoghgoxhuad.' 
and you will get ~(NRK5VP9z;0!#~)The only case where a character must 
be separated from a preceding one with a space is when the character 
starts with a vowel which may combine with the final letter of the 
preceding character to form a possible syllable.


VI. Editing

1. Input mode

     Hit Ins key to toggle between insert mode and type-over mode.

     Hit F8 to toggle between English mode and Chinese mode.

     Hit C-F8 to toggle between traditional and simplified 
characters.

2. Cursor movement

     Hit right arrow to move one column right or to the end of 
previous line.

     Hit left arrow to move one column left or to the beginning of 
next line.

     Hit up arrow to move one line up.

     Hit down arrow to move one line down.

     Hit Home to move to the beginning of current line.

     Hit End to move to the end of current line.

     Hit PgUp to move to the beginning of current or previous screen.

     Hit PgDn to move to the end of current or next screen.

     Hit C-PgUp to move to the beginning of the file.

     Hit C-PgDn to move to the end of the file.

3. Search and replace

     Forward search: Hit F2, type item to be searched, hit F2 again 
to start.

     Backward search: Hit S-F2, type item to be searched, hit F2 to 
start.

     Search and replace with confirmation: Hit A-F2, type item to be 
replaced, hit F2, type replacing item, hit F2 to start.

     Search and replace without confirmation: Hit C-F2, type item to 
be replaced, hit F2, type replacing item, hit F2 to start.

     All search and replace operations can be aborted with the Esc 
key.

4. Block operations

     Move cursor to one end of block, hit F4, move cursor to the 
other end of block, hit F4 again, then type 1 for move block, 2 for 
copy block or 3 for delete block. In case of move block or copy 
block, move cursor to the target position and hit Enter to retrieve 
the content to be moved or copied. All block operations can be 
aborted with the Esc key.

5. File retrieval and storage

     Type S-F10 and the file name to retrieve a file from the disk. 
Whenever a new file is retrieved, the current file will be lost from 
the memory.

     Type F10 to save the current file onto the disk. If the current 
file has already been named, then no further prompt will be given and 
the file on the disk will be updated. If the current file has not yet 
been named, you will be prompted for the file name. If you type A-F10 
instead of F10 to save the file, then you will always be prompted for 
the file name, whether or not the file has been named.

     C-F10 allows you to retrieve or save a file in ASCII format. You 
may choose to use either CWP pinyin code or GB code.

     CWP's file format is compatible with that of most other Chinese
(mainland standard) or English other word-processors. To import a file 
created with an English word-processor, first save the file in ASCII 
format, then use C-F10 to retrieve it into CWP.

     Notice that no safeguard against duplicate file name is 
provided. Every time a file is saved, the file with the same file 
name on the disk will be replaced.

     File handling operations can be aborted with the Esc key.

6. Printing

     Hit S-F8 to select font, line spacing and page numbering. The 
available fonts are:

     1 quadriple size double strike,

     2 quadriple size single strike,

     3 double size portrait double strike,

     4 double size portrait single strike,

     5 double size landscape double strike,

     6 double size landscape single strike,

     7 regular size double strike,

     8 regular size single strike,

     9 half size portrait.

Available line spacings are: 2, 3, 4, 6 and 8 lines per inch. Page 
numbering may be either on or off. If it is on, then the position is 
at the center of the bottom of the page. The default page format 
settings are: regular size double strike font, 4 lines per inch and 
no page numbering.

     Hit S-F7 and 1 to start printing. The default printer selection 
is for 9-pin printers. If you use a 24-pin printer, then hit S-F7 and 
2 to change the printer selection.

     Printing can be aborted with the Esc key.

7. Miscelaneous

     Hit C-F1 to access the DOS system.

     Hit F3 to access the on-line help in Chinese.

     Hit F7 to exit CWP.


VI. English translations of Chinese messages

 ~(!!!!<SWV!!!!!!!!~)Insert~(!!!!!!!!!!!!!!!!!!!!VXP4!!!!!!!!~)Type 
over

 ~(!!!!JdHk!!!!!!!!~)Input ~(!!!!!!!!!!!!!!!!!!!!Jd3v!!!!!!!!~)Output

 ~(!!!!4f4"!!!!!!!!~)Save~(!!!!!!!!!!!!!!!!!!!!!!ND<~C{!!!!!!~)File 
name

 ~(!!!!F4Rt!!!!!!!!~)Pinyin code ~(!!!!!!!!!!!!!!9z1j!!!!!!!!~)GB code

 ~(!!!!MK3v!!!!!!!!~)Abort ~(!!!!!!!!!!!!!!!!!!!!TYJT!!!!!!!!~)Try 
again

 ~(!!!!ND<~N4UR5=!!~)File not found~(!!!!!!!!!!!!4rS!;zSPNs!!~)Printer 
error

 ~(!!!!?*J<!!!!!!!!~)Start ~(!!!!!!!!!!!!!!!!!!!!Q!S!;z!!!!!!~)Select 
printer

 ~(!!!!>EUk!!!!!!!!~)9-pin ~(!!!!!!!!!!!!!!!!!!!!6~J.KDUk!!!!~)24-pin

 ~(!!!!WV:E!!!!!!!!~)Font~(!!!!!!!!!!!!!!!!!!!!!!PP?m!!!!!!!!~)Line 
spacing

 ~(!!!!R3Bk!!!!!!!!~)Page numbering~(!!!!!!!!!!!!C?S"4gPPJ}!!~)Lines 
per inch

 ~(!!!!R*R3Bk!!!!!!~)Page numbering on ~(!!!!!!!!2;R*R3Bk!!!!~)Page 
numbering off

 ~(!!!!RF6/!!!!!!!!~)Move~(!!!!!!!!!!!!!!!!!!!!!!84VF!!!!!!!!~)Copy

 ~(!!!!I>3}!!!!!!!!~)Delete~(!!!!!!!!!!!!!!!!!!!!H!O{!!!!!!!!~)Cancel

 ~(!!!!Q0UR!!!!!!!!~)Search for~(!!!!!!!!!!!!!!!!8DN*!!!!!!!!~)Replace 
with

 ~(!!!!N4UR5=!!!!!!~)Not found


